<?php
// Strict error reporting in development, disable in production
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Include helpers
require_once __DIR__ . "/../connection.php";
require_once __DIR__ . "/../auth.php";

// Set CORS headers
setCorsHeaders();


    // Only allow GET requests
    if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
        http_response_code(405); // Method Not Allowed
        exit(json_encode(['success' => false, 'message' => 'Method Not Allowed']));
    }
	
	//param
	$jsonobj = array();
	$json_str = file_get_contents('php://input');
	$jsonobj = json_decode($json_str, true);
			
	$kodepaket    = $jsonobj["kodepaket"];
	
	//validate
    if ($kodepaket == "1000")
    {
        $namapaket = "Basic 30 Hari";
        $price = 49000;
    }
    else
    {
        if ($kodepaket == "1002")
        {
            $namapaket = "Basic 90 Hari";
            $price = 99000;
        }
        else
        {
            $namapaket = "Basic 180 Hari";
            $price = 149000;
        }
    }


    $apikey = "xnd_production_H0no0KeHK0mg084eETOYovUftmyRiT07HX4DlM3FerkDAWsmzeUvQEymwgZCQ";
    $accesstoken = base64_encode("$apikey:");

    $trxnoadd = mt_rand(1000, 9999);
	$trxno = date("YmdHis") . $trxnoadd;
    $grand = $price;

    $headers = array("Content-Type: application/json", "Authorization: Basic $accesstoken");
    
    $url = "https://api.xendit.co/v2/invoices";

        $reqbody = [
        'external_id' => $trxno,
        'amount' => $grand,
        'description' => 'MATRIX PARABOLA'
        ];         

        $bodyjson = json_encode($reqbody);
        
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $bodyjson);
        curl_setopt($ch,CURLOPT_RETURNTRANSFER, true);
        $responsecurl = curl_exec($ch);
        curl_close($ch);
                    
        $respdecode = json_decode($responsecurl, true);
     
        $checkouturl = $respdecode['invoice_url'];

       
    // Format the response
    $response = [
        "success" => true,
        "data" => [
            "checkouturl" => $checkouturl
        ]
    ];
    
    sendJsonResponse($response, 200);
    
?>